cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Filip Maj <...@adobe.com>
Subject Deprecating <plugins-plist> in plugin.xml
Date Tue, 30 Jul 2013 01:22:07 GMT
We currently document support for <plugins-plist> in our spec [1]. This is
to support old cordova-ios (2.2 I believe).


It would save with some lame special-case code [2] [3] [4].

Warn folks using plugman w/ plugins using <plugins-plist> elements that
support is being removed soon? 3 releases for deprecation ya, so around
3.3 we remove support for it?

[1] 
https://github.com/apache/cordova-plugman/blob/master/plugin_spec.md#plugin
s-plist
[2] 
https://github.com/apache/cordova-plugman/blob/master/src/util/config-chang
es.js#L93-L104
[3] 
https://github.com/apache/cordova-plugman/blob/master/src/util/config-chang
es.js#L147-L166
[4] 
https://github.com/apache/cordova-plugman/blob/master/src/util/config-chang
es.js#L236-L252


Mime
View raw message